.btn {
  height: 40px;
  min-width: 54px;
  color: $nlbWhiteColor;
  font-weight: 400 !important;
  outline: 0;
  border-radius: 24px;

  &-primary {
    background-color: $nlbGreenColor;

    &:hover {
      background-color: $nlbGreenShadeColor;
    }

    &:not(:disabled):not(.disabled):active {
      background-color: $nlbGreenShadeColor;
    }
  }

  &-secondary {
    background-color: transparent;
    color: $nlbIndigoColor;

    &:not(:disabled):not(.disabled):hover {
      background-color: transparent;
    }

    &:hover {
      background-color: transparent;
      color: $nlbIndigoShadeColor;
    }

    &:focus,
    &:not(:disabled):not(.disabled):active,
    &:not(:disabled):not(.disabled):active:focus,
    &:not(:disabled):not(.disabled):active {
      background-color: transparent;
      color: $nlbIndigoShadeColor;
    }

    // secondary cancel btn
    &-cancel {
      background-color: transparent;
      color: $navigationLabelGray;
      &:hover {
        color: $nlbDarkGreyColor;
      }
    }
  }

  &-tertiary {
    min-width: 40px;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    padding: 0;
    color: $nlbIndigoColor;
    background-color: $navigationLightGray;
    i {
      font-size: 18px;
      //font-weight: bold;
    }
    &:hover {
      background-color: $nlbLightGreyColor;
    }

    &.hover-only {
      background-color: transparent;
      &:hover {
        background-color: $navigationLightGray;
      }
    }
    &:focus {
      box-shadow: none;
    }
  }

  &-error {
    background-color: $nlbRedColor;

    &:hover,
    &:active {
      background-color: $nlbRedShadeColor;
    }
  }

  &-cancel {
    background-color: transparent;
    color: $navigationLabelGray;

    &:hover {
      background-color: transparent;
      color: $nlbDarkestGreyColor;
    }

    &:not(:disabled):not(.disabled):active {
      background-color: transparent;
      color: $nlbDarkestGreyColor;
    }
  }

  &:disabled {
    background-color: $navigationDarkerGray;
    color: $nlb-gray-a;
  }

  &:focus {
    box-shadow: none;
  }
}

.btn-color-primary {
  color: white;
  background-color: $nlbGreenColor;

  &:hover {
    background-color: $nlbGreenShadeColor;
  }

  &:not(:disabled):not(.disabled):active {
    background-color: $nlbGreenShadeColor;
  }
}

.btn-icon-only {
  span {
    display: none !important;
  }
}
